
Foreman - Feature #217

Before deleting a Hostgroup, warn that the hostgroup is in use.

04/16/2010 08:21 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Users will go through some effort when they create a Hostgroup, and assign classes and group parameters.

Then they add many hosts to this Hostgroup.

If they delete the Hostgroup (by mistake or mis-communication), this effort may be wasted.

It would be great if Foreman did not allow deletion of Hostgroups that are in use.

This can be done by using "before_destroy Ensure_not_used_by.new(:hosts, :puppetclasses)"

But ideally, the delete link should show a summary of what Hosts (and Group Parameters) will be affected after you click delete and

confirm the deletion.

Associated revisions

Revision 17a015c2 - 04/22/2010 04:14 AM - Ohad Levy

fixes #217 -  Before deleting a Hostgroup, warn that the hostgroup is in use.

History

#1 - 04/17/2010 01:52 PM - Ohad Levy

- Category set to Web Interface

- Target version set to 0.1-5

Would you like to start with the simple solution? (ensure that its not used)

after #200 is done, you could easily change the pop up text when pressing the delete link.

#2 - 04/27/2010 07:11 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 17a015c200d0ffb2505ea125cfdf99da3b7f2050.

#3 - 04/27/2010 07:16 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
